class Condition
	attr_accessor :name, :rules_text, :beat, :resolution, :persistent, :authors, :possible_sources

	def initialize(name:, rules_text:, beat: "n/a", resolution:, persistent: false, authors:, possible_sources: nil)
		@name = name
		@rules_text = rules_text
		@beat = beat
		@resolution = resolution
		@persistent = persistent
		@authors = authors
		@possible_sources = possible_sources
	end
end